Cgu::Thread::FutureHelper::WhenWrapperArgRel< Val > Struct Template Reference

`#include <future.h>`

## Public Member Functions

| WhenWrapperArgRel (std::unique_ptr< Cgu::SafeEmitterArg< const Val & >> &&when_)
| WhenWrapperArgRel (WhenWrapperArgRel &&w)

## Public Attributes

std::unique_ptr < Cgu::SafeEmitterArg< const Val & > > | when

## Constructor & Destructor Documentation

template<class Val >

Cgu::Thread::FutureHelper::WhenWrapperArgRel< Val >::WhenWrapperArgRel | ( | std::unique_ptr< Cgu::SafeEmitterArg< const Val & >> && | when_) |  |

inline

template<class Val >

Cgu::Thread::FutureHelper::WhenWrapperArgRel< Val >::WhenWrapperArgRel | ( | WhenWrapperArgRel< Val > && | w) |  |

inline

## Member Data Documentation

template<class Val >

std::unique_ptr<Cgu::SafeEmitterArg<const Val&> > Cgu::Thread::FutureHelper::WhenWrapperArgRel< Val >::when

mutable

The documentation for this struct was generated from the following file:

- future.h